//
//  igViewController.m
//  DivideRect
//
//  Created by Torrey Betts on 05/23/13.
//  Copyright (c) 2013 Infragistics. All rights reserved.
//

#import <QuartzCore/QuartzCore.h>
#import "igViewController.h"

@interface igViewController ()

@end

@implementation igViewController

- (void)viewDidLoad
{
    [super viewDidLoad];

    self.view.backgroundColor = [UIColor whiteColor];

    CGRect areaOne, areaTwo;
    CGRectDivide(self.view.bounds, &areaOne, &areaTwo, self.view.bounds.size.width * 0.30, CGRectMinXEdge);

    UIView *viewOne = [[UIView alloc] initWithFrame:CGRectInset(areaOne, 10, 10)];
    viewOne.autoresizingMask = UIViewAutoresizingFlexibleHeight|UIViewAutoresizingFlexibleWidth|UIViewAutoresizingFlexibleRightMargin;
    viewOne.backgroundColor = [UIColor colorWithWhite:0.9 alpha:1.0];
    viewOne.layer.borderWidth = 2.0;
    viewOne.layer.borderColor = [UIColor lightGrayColor].CGColor;
    viewOne.layer.shadowOffset = CGSizeZero;
    viewOne.layer.shadowOpacity = 0.5;
    [self.view addSubview:viewOne];

    UIView *viewTwo = [[UIView alloc] initWithFrame:CGRectInset(areaTwo, 10, 10)];
    viewTwo.autoresizingMask = UIViewAutoresizingFlexibleHeight|UIViewAutoresizingFlexibleWidth|UIViewAutoresizingFlexibleLeftMargin;
    viewTwo.backgroundColor = [UIColor colorWithWhite:0.9 alpha:1.0];
    viewTwo.layer.borderWidth = 2.0;
    viewTwo.layer.borderColor = [UIColor lightGrayColor].CGColor;
    viewTwo.layer.shadowOffset = CGSizeZero;
    viewTwo.layer.shadowOpacity = 0.5;
    [self.view addSubview:viewTwo];
}

@end